<?php

/*
(C) 2022/05/05/ ElbuzGroup (https://elbuz.com)
An example of working with the API of the E-Trade Jumper automation system
*/

header('Content-Type: text/html; charset=utf-8');
ini_set('display_errors', 1);

echo '<pre>';

// API base URL
$api_url = 'http://etrade-master.com/admin/index.php?route=';

// get a token
$response = send_data_to_jumper_api($api_url . 'api/login', array('username' => 'user8', 'key' => '5nWKapuhdNySDzDFJzZUBOLA2KQ55u2r'));

if (isset($response['api_token'])) {
	$api_token = $response['api_token'];
} else {
	echo 'API token empty!'. chr(10) . print_r($response, true);
	return;
}

// What operation should be performed?
// Specify the value 1 for the desired variable.


// DESCRIPTION of lookup fields
$show_scope_describe = 0;
if ($show_scope_describe == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'product', // directory code
					'datafield' => '', // filter by field name
					'limit_field' => 'row_id, datafield, grid_field_name, datafield_type', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/describe', $data);
	print_r($response);
}

// directory of categories
$show_scope_category = 1;
if ($show_scope_category == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'category', // directory code
					'category_id' => 0, // filter by Category ID			
					'parent_id' => -1, // filter by Parent category ID
					'uuid' => '', // filter by UUID categories			
					'uuid_parent' => '', // filter by UUID parent category					
					'limit_field' => 'category_id, parent_id, uuid, uuid_parent, status, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory products
$show_scope_product = 0;
if ($show_scope_product == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'product', // directory code
					'product_id' => 0, // filter by Product ID
					'category_id' => 0, // filter by Category ID
					'stock_status_id' => 0, // filter by Availability status ID
					'manufacturer_id' => 0, // filter by Manufacturer ID
					'language_id' => 0, // filter by Language ID
					'store_id' => 0, // filter by Store ID
					'contractor_id' => 0, // filter by Counterparty ID on the basis of which the products were updated
					'price_id' => 0, // filter by ID price-list on the basis of which the products were updated
					'uuid' => '', // filter by Product UUID 
					'sku' => '', // filter by field - SKU (internal)
					'mpn' => '', // filter by field - Manufacturer SKU
					'sku_supply' => '', // filter by field - Counterparty SKU
					'name' => '', // filter by field - Name
					'filter_template_id' => 0, // filter by ID on the basis of which the products were updated
					'limit_field' => 'product_id, category_id, stock_status_id, manufacturer_id, manufacturer_name, mpn, name, price, price_rrp, quantity, stock_status_name, seo_url, image_original, image_cloud_url, category_name_full', // field output restrictions
					'extend' => '', // supplement unloading: attribute - product attributes, image - product images, category - ID of the categories in which the product is located
					'extend_limit_field_attribute'=> 'attribute_id, attribute_name, attribute_value', // field output restrictions for product attributes
					'extend_limit_field_image'=> 'product_image_id, sort_order, image, image_original, image_cloud_url', // field output restrictions for product images
					'extend_limit_field_category'=> 'category_id', // field output restrictions for product categories
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory attributes
$show_scope_attribute = 0;
if ($show_scope_attribute == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'attribute', // directory code
					'attribute_id' => 0, // filter by ID attribute
					'uuid' => '', // filter by UUID attribute			
					'category_id' => 0, // filter by Category ID
					'attribute_block_id' => '', // filter by attribute block ID
					'language_id' => 0, // filter by Language ID directory
					'limit_field' => 'attribute_id, uuid, status, attribute_name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory blocks attributes
$show_scope_attribute_block = 0;
if ($show_scope_attribute_block == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'attribute_block', // directory code
					'attribute_block_id' => 0, // filter by ID attribute block
					'uuid' => '', // filter by UUID attribute			
					'language_id' => 0, // filter by Language ID
					'limit_field' => 'attribute_block_id, uuid, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory languages
$show_scope_language = 0;
if ($show_scope_language == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'language', // directory code
					'language_id' => 0, // filter by Language ID
					'code' => '', // filter by language code
					'status' => 1, // filter by activity status
					'is_default' => '', // filter by default language
					'limit_field' => 'language_id, code, status, is_default, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory articles
$show_scope_article = 0;
if ($show_scope_article == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'article', // directory code
					'article_id' => 0, // filter by ID article
					'parent_id' => -1, // filter by ID parent (section)
					'status' => 1, // filter by activity status
					'is_category' => -1, // filter: 1 - show article sections, 0 - show article, -1 - show all
					'limit_field' => 'article_id, is_category, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory manufacturers
$show_scope_manufacturer = 0;
if ($show_scope_manufacturer == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'manufacturer', // directory code
					'manufacturer_id' => 0, // filter by manufacturer ID
					'limit_field' => 'manufacturer_id, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory availability statuses
$show_scope_stock_status = 0;
if ($show_scope_stock_status == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'stock_status', // directory code
					'stock_status_id' => 0, // filter by Availability status ID
					'language_id' => 0, //  filter by Language ID
					'limit_field' => 'stock_status_id, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory warehouses
$show_scope_warehouse = 0;
if ($show_scope_warehouse == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'warehouse', // directory code
					'warehouse_id' => 0, // filter by warehouse ID
					'status' => 0, //  filter by activity status
					'limit_field' => 'warehouse_id, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory stores
$show_scope_store = 0;
if ($show_scope_store == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'store', // directory code
					'store_id' => 0, // filter by Store ID
					'status' => 0, //  filter by activity status
					'limit_field' => 'store_id, name, url', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory companies
$show_scope_company = 0;
if ($show_scope_company == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'company', // directory code
					'company_id' => 0, // filter by company ID
					'status' => -1, //  filter by activity status
					'is_my_company' => -1, //  filter by my companies, -1 - show all
					'is_default' => -1, //  filter by my companies, -1 - show all
					'limit_field' => 'company_id, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory counterpartyes
$show_scope_contractor = 0;
if ($show_scope_contractor == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'contractor', // directory code
					'contractor_id' => 0, // filter by Counterparty ID
					'contractor_id_list' => '', //  filter Counterparty ID (it is possible to list several separated by commas)
					'contractor_group_id_list' => '', //  filter by the list of Counterparty group ID (it is possible to list several separated by commas)
					'email' => '', // filter by email
					'limit_field' => 'contractor_id, name, phones, firstname, lastname', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory counterpartyes group
$show_scope_contractor_group = 0;
if ($show_scope_contractor_group == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'contractor_group', // directory code
					'contractor_group_id' => 0, // filter by Counterparty group ID
					'limit_field' => 'contractor_group_id, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory currencies
$show_scope_currency = 0;
if ($show_scope_currency == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'currency', // directory code
					'currency_id' => 0, // filter by ID currency
					'status' => 1, // filter by active currency
					'limit_field' => 'currency_id, is_default, code, name, rate, date_modified', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory products from price lists
$show_scope_product_price = 0;
if ($show_scope_product_price == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'product_price', // directory code
					'product_id' => -1, // filter by Product ID base catalog (if -1 is specified, then no filter is applied)
					'supply_product_id' => 0, // filter by Product ID from price list
					'category_id' => -1, // filter by Category ID (if -1 is specified, then no filter is applied)
					'stock_status_id' => -1, // filter by Availability status ID (if -1 is specified, then no filter is applied)
					'manufacturer_id' => -1, // filter by Manufacturer ID (if -1 is specified, then no filter is applied)
					'contractor_id' => -1, // filter by Counterparty ID on the basis of which the products were updated (if -1 is specified, then no filter is applied)
					'price_id' => -1, // filter by ID of the price list based on which the products were updated (if -1 is specified, then no filter is applied)
					'sku_supply' => '', // filter by field - Counterparty SKU
					'sku_manufacturer' => '', // filter by field - Manufacturer SKU
					'name' => '', // filter by field - Name
					'filter_template_id' => 0, // filter by ID on the basis of which the products were updated
					'limit_field' => 'supply_product_id, contractor_id, field_pc_supply_name, price_id, field_file_name_original, product_id, category_id, stock_status_id, field_ssd_stock_status_name, manufacturer, sku_manufacturer, name, price', // field output restrictions
					'extend' => '', // supplement unloading: attribute - product attributes, image - product images 
					'extend_limit_field_attribute'=> 'attribute_id, attribute_name, attribute_value', // field output restrictions for product attributes
					'extend_limit_field_image'=> 'image_url, sort_order', // field output restrictions for product images
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);
				
	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}


// directory document types
$show_scope_document_type = 0;
if ($show_scope_document_type == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'document_type', // directory code
					'type_id' => 0, // filter by Type ID
					'status' => 1, // filter by active 
					'limit_field' => 'type_id, code, status, sort_order, name, document_count', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory document statuses
$show_scope_document_status = 0;
if ($show_scope_document_status == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'document_status', // directory code
					'document_status_id' => 0, // filter by status ID
					'status' => 1, // filter by active 
					'limit_field' => 'document_status_id, code, type_code, status, sort_order, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory payment statuses for documents
$show_scope_document_payment_status = 0;
if ($show_scope_document_payment_status == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'document_payment_status', // directory code
					'payment_status_id' => 0, // filter by status ID
					'status' => 1, // filter by active
					'limit_field' => 'payment_status_id, code, status, sort_order, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory delivery statuses for documents
$show_scope_document_delivery_status = 0;
if ($show_scope_document_delivery_status == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'document_delivery_status', // directory code
					'delivery_status_id ' => 0, // filter by status ID
					'status' => 1, // filter by active
					'limit_field' => 'delivery_status_id, code, status, sort_order, name', // field output restrictions
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// directory documents
$show_scope_document = 0;
if ($show_scope_document == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'document', // directory code
					'type_id' => 3, // filter by document type ID 
					'document_id' => 0, // filter by Document ID 
					'uuid_ext' => '', // ID of the external identifier based on which the document was created
					'tracking_code' => '', // filter by tracking code
					'filter_template_id' => 0, // filter by ID on the basis of which the products were updated
					'limit_field' => 'document_id, contractor_id, type_id, document_type_name, status_id, document_status_code, document_status_name, warehouse_id, contractor_id, document_number, document_number_ext, document_sum, delivery_description, payment_description, date_added, firstname, lastname, email, phone, user_name, warehouse_name, contractor_name, source_code,source_name', // field output restrictions
					'extend' => 'product,contractor', // supplement unloading: product - products, contractor - counterparty
					'extend_limit_field_contractor'=> 'contractor_group_id, name, address, phones, email', // field output restrictions for counterparty
					'extend_limit_field_product'=> 'product_id, sku, mpn, name, quantity, price, price_sum, ean, isbn', // field output restrictions for product
					'page' => 1 // if it is more than possible to output in the output of records, then you need to specify the page number to get the next list of records
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/get', $data);
	print_r($response);
}

// ADD

// adding category
$add_category = 0;
if ($add_category == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'category', // directory code
					'name' => '', // name (required field)
					'category_id' => 0, // Category ID
					'parent_id' => 0, // Parent category ID
					'uuid' => '', // UUID category			
					'uuid_parent' => '', // UUID parent category,
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/add', $data);
	print_r($response);
}

// adding product
$add_product = 0;
if ($add_product == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'product', // directory code
					'category_id' => 404, // Category Product ID (required field)
					'name' => 'my new product', // Name (required field)
					'stock_status_id' => 0, // Availability status ID
					'manufacturer_id' => 0, // Manufacturer ID
					'manufacturer_name' => '', // manufacturer name
					'sku' => '', // SKU (internal)
					'mpn' => '', // Manufacturer SKU
					'sku_supply' => '', // Counterparty SKU
					'price' => 0, 
					'price_rrp' => 0, 
					'price_special' => 0, 
					'price_old' => 0, 
					'quantity' => 100, 
					'description_short' => '', 
					'description_full' => '', 
					'warranty' => '', 
					'height' => '', 
					'width' => '', 
					'gabarit' => '', 
					'depth' => '', 
					'weight' => '', 
					'ean' => '',
					'upc' => '', 
					'jan' => '', 
					'isbn' => '', 
					'gtin' => '', 
					'seo_url' => '', // SEO url (without specifying a domain)
					'ext_url' => '', // External link to the product (indicating the domain)
					'product_id_ext' => '', // Product ID on site
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/add', $data);
	print_r($response);
}

// adding several products (bulk adding)
// The maximum number of products for 1 request is 10000.
$add_product_batch = 0;
if ($add_product_batch == 1) {
    // list of products to update 
    $item_list = array(
                    array(
                        'name' => 'test1', // Product name (required field)
                        'category_id' => 0, // Category ID
                        'category_name_full' => 'Gadgets / GPS tracker', // if the Category ID is not known, you can specify the full path of the category
                        'price' => 100, // Price
                        'attribute_list' => array(
                                                array('name' => 'Speed', 'value' => '100'),
                                                array('name' => 'Diagonal', 'value' => '40')
                                            ),
                        'image_list' => array(
                                            array('image_url' => 'https://domain.com/image1.jpg'),
                                            array('image_url' => 'https://domain.com/image2.jpg')
                                        ),
                    ),
                    array(
                        'name' => 'test2', // Product name (required field)
                        'category_id' => 1, // Category ID
                        'price' => 200, // Price
                    ),
                    array(
                        'name' => 'test3', // Product name (required field)
                        'category_id' => 1, // Category ID
                        'price' => 300, // Price
                        'attribute_list' => array(
                                                array('name' => 'Speed', 'value' => '200'),
                                                array('name' => 'Diagonal', 'value' => '80')
                                            ),
                        'image_list' => array(
                                            array('image_url' => 'https://domain.com/image3.jpg'),
                                            array('image_url' => 'https://domain.com/image4.jpg')
                        ),
                    ) 
                );
    
    // example of getting products from your MySQL database and sending to E-Trade Jumper API
    $from_mysql = 0;
    if ($from_mysql == 1) {
        $item_list = array();

        define('DB_HOSTNAME', '127.0.0.1');
        define('DB_USERNAME', 'root');
        define('DB_PASSWORD', '');
        define('DB_NAME', 'my_etrade_jumper');
        
        $link = mysqli_connect(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_NAME);
        mysqli_query($link, "SET NAMES 'utf8'");
        
        // list of products
        $query = mysqli_query($link, "SELECT * FROM et_product LIMIT 1000") or die('Error: ' . mysqli_error($link));
        if (mysqli_num_rows($query) > 0) {
            while($row = mysqli_fetch_assoc($query)) {
                $item_list[] = array('mpn' => $row['mpn'] . 'fortestdelete', 
                                    'name' => $row['name'], 
                                    'category_name_full' => $row['category_name_full'], 
                                    'price' => $row['price'],
                                    );
            }
        }
        mysqli_close($link);
    }

	$data = array('api_token' => $api_token,
				  'scope' => 'product', // directory code
                  'item_list' => json_encode($item_list, JSON_HEX_AMP) // list of products in JSON format (parameter JSON_HEX_AMP - character & is encoded in \u0026)
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/add', $data);
	print_r($response);
}

// adding attribute
$add_attribute = 0;
if ($add_attribute == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'attribute', // directory code
					'attribute_name' => '', //  name (required field)
					'attribute_block_name' => 'Main characteristics' //  name attribute block
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/add', $data);
	print_r($response);
}

// adding attribute block
$add_attribute_block = 0;
if ($add_attribute_block == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'attribute_block', // directory code
					'name' => '', //  name (required field)
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/add', $data);
	print_r($response);
}

// adding article
$add_article = 0;
if ($add_article == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'article', // directory code
					'parent_id' => 0, // ID parent section (required field)
					'name' => '', //  name (required field)
					'description_short' => '', // Description short
					'description_full' => '', // Description full
					'seo_h1' => '', // tag H1
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/add', $data);
	print_r($response);
}

// adding manufacturer
$add_manufacturer = 0;
if ($add_manufacturer == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'manufacturer', // directory code
					'name' => '1test', //  name (required field)
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/add', $data);
	print_r($response);
}

// adding document
$add_document = 0;
if ($add_document == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'document', // directory code
					'type_id' => 3, // document type ID  (required field)
					'uuid_ext' => '', // ID of the external identifier based on which the document is created
					'item_list' => array( // document products (must be present in the base catalog, search by product_id field)
										array('product_id' => 1, 
											  'sku' => '',
											  'mpn' => '',
											  'name' => '',
											  'description' => '',
											  'measure_id' => 0,
											  'sort_order' => 0,
											  'quantity' => 1,
											  'price' => 0,
											  'price_sum' => 0),
										array('product_id' => 2, 
											  'sku' => '',
											  'mpn' => '',
											  'name' => '',
											  'description' => '',
											  'measure_id' => 0,
											  'sort_order' => 0,
											  'quantity' => 1,
											  'price' => 0,
											  'price_sum' => 0),
									)
				);


	$response = send_data_to_jumper_api($api_url . 'api/scope/add', $data);
	print_r($response);
}


// UPDATE

// update category
$update_category = 0;
if ($update_category == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'category', // directory code
					'category_id' => 1002, // Category ID
					'parent_id' => -1, // Parent category ID ( update-1 means the field is not updated)
					'status' => -1, // active status  ( update-1 means the field is not updated)
					'sort_order' => 0, 
					'name' => '',
					'description_short' => '', 
					'description_full' => '', 
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/update', $data);
	print_r($response);
}

// update product
$update_product = 0;
if ($update_product == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'product', // directory code
					'product_id' => 46898, // Product ID (required field)
					'language_id' => -1, // Language ID
					'status' => -1, // active status ( update-1 means the field is not updated)
					'mpn' => 'WM301A1', // Manufacturer SKU
					'name' => -1,
					'price' => -1,
					'description_short' => -1, 
					'description_full' => -1, 
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/update', $data);
	print_r($response);
}

// update multiple products (bulk update)
// The maximum number of products for 1 request is 10000.
$update_product_batch = 0;
if ($update_product_batch == 1) {
    // list of products to update
    $item_list = array(
        array(
            'product_id' => 63422, // Product ID (required field)
            'price' => 100, // Price
            'stock_status_id' => 7, // Availability status ID
            'quantity' => 10, 
            'attribute_list' => array(
                                    array('name' => 'Speed', 'value' => '200'),
                                    array('name' => 'Diagonal', 'value' => '80')
                                ),
            'image_list' => array(
                                    array('image_url' => 'https://domain.com/image3.jpg'),
                                    array('image_url' => 'https://domain.com/image4.jpg')
                                ),            
            ),
        array(
            'product_id' => 2, // Product ID (required field)
            'price' => 200, 
            'stock_status_id' => 7, // Availability status ID
            'quantity' => 20, 
        ),
        array(
            'product_id' => 3, // Product ID (required field)
            'price' => 300, 
            'stock_status_id' => 5, // Availability status ID
            'quantity' => 0, 
        ) 
    );
    
    // example of getting goods from your MySQL database and sending to E-Trade Jumper API
    // field Product ID E-Trade Jumper must be passed in the product_id field
    $from_mysql = 0;
    if ($from_mysql == 1) {
        $item_list = array();

        define('DB_HOSTNAME', '127.0.0.1');
        define('DB_USERNAME', 'root');
        define('DB_PASSWORD', '');
        define('DB_NAME', 'my_etrade_jumper');
        
        $link = mysqli_connect(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_NAME);
        mysqli_query($link, "SET NAMES 'utf8'");
        
        // list of products 
        $query = mysqli_query($link, "SELECT * FROM et_product LIMIT 1000") or die('Error: ' . mysqli_error($link));
        if (mysqli_num_rows($query) > 0) {
            while($row = mysqli_fetch_assoc($query)) {
                $item_list[] = array('product_id' => $row['product_id'], 
                                     'price' => $row['price'], 
                                     'quantity' => $row['quantity']
                                    );
            }
        }
        mysqli_close($link);
    }

	$data = array('api_token' => $api_token,
				  'scope' => 'product', // directory code
                  'item_list' => json_encode($item_list, JSON_HEX_AMP) // list of products in JSON format (parameter JSON_HEX_AMP - character & is encoded in \u0026)
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/update', $data);
	print_r($response);
}

// update currency
$update_scope_currency = 0;
if ($update_scope_currency == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'currency', // directory code
					'currency_id' => 1, // Currency ID (required field)
					'rate' => 26.53, // currency rate (required field)
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/update', $data);
	print_r($response);
}

// update counterparty
$update_scope_contractor = 0;
if ($update_scope_contractor == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'contractor', // directory code
					'contractor_id' => 23, // Counterparty ID (required field)
					'name' => -1, //  name (-1 do not update)
					'email' => -1, // email
					'skype' => '', // skype
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/update', $data);
	print_r($response);
}


// DELETE

// delete category
$delete_category = 0;
if ($delete_category == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'category', // directory code
					'category_id' => 111111, // Category Product ID
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/delete', $data);
	print_r($response);
}

// delete product
$delete_product = 0;
if ($delete_product == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'product', // directory code
					'product_id' => 111111, // Category Product ID
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/delete', $data);
	print_r($response);
}

// delete attribute
$delete_attribute = 0;
if ($delete_attribute == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'attribute', // directory code
					'attribute_id' => 9430, // ID attribute 
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/delete', $data);
	print_r($response);
}

// delete attribute block 
$delete_attribute_block = 0;
if ($delete_attribute_block == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'attribute_block', // directory code
					'attribute_block_id' => 7, // ID attribute block 
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/delete', $data);
	print_r($response);
}

// delete counterparty
$delete_contractor = 0;
if ($delete_contractor == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'contractor', // directory code
					'contractor_id' => 36519, // Counterparty ID
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/delete', $data);
	print_r($response);
}

// delete article
$delete_article = 0;
if ($delete_article == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'article', // directory code
					'article_id' => 111111, // ID article
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/delete', $data);
	print_r($response);
}

// delete manufacturer
$delete_manufacturer = 0;
if ($delete_manufacturer == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'manufacturer', // directory code
					'manufacturer_id' => 111111, // Manufacturer ID
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/delete', $data);
	print_r($response);
}

// delete document
$delete_document = 0;
if ($delete_document == 1) {
	$data = array(	'api_token' => $api_token,
					'scope' => 'document', // directory code
					'document_id' => 111111, // ID document
				);

	$response = send_data_to_jumper_api($api_url . 'api/scope/delete', $data);
	print_r($response);
}

function send_data_to_jumper_api($url, $data) {
    $ch = curl_init($url);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_HEADER, false);
	curl_setopt($ch, CURLOPT_POST, true);
	curl_setopt($ch, CURLOPT_POSTFIELDS, urldecode(http_build_query($data)));

	$response = curl_exec($ch);

    if (curl_error($ch)) {
        trigger_error('Error: ' . curl_error($ch));
    } elseif (stripos(strip_tags($response), 'Fatal error')===false && stripos(strip_tags($response), 'Notice:')===false && stripos(strip_tags($response), 'Warning:')===false) {
		$response_json = json_decode($response, true);
		if ($response_json == null) {
			echo json_last_error() . chr(10) . '<br>';

			switch (json_last_error()) {
				case JSON_ERROR_NONE:
					echo ' - No errors';
					break;
				case JSON_ERROR_DEPTH:
					echo ' - Maximum stack depth reached';
					break;
				case JSON_ERROR_STATE_MISMATCH:
					echo ' - Incorrect digits or mismatch modes';
					break;
				case JSON_ERROR_CTRL_CHAR:
					echo ' - Invalid control character';
					break;
				case JSON_ERROR_SYNTAX:
					echo ' - Syntax error, invalid JSON';
					break;
				case JSON_ERROR_UTF8:
					echo ' - Incorrect UTF-8 characters, possibly incorrect encoding';
					break;
				default:
					echo ' - Unknown error';
					break;
			}
			
			echo '<br>Response: '. $response;
		} else {
			$response = $response_json;
		}
	}
	
	curl_close($ch);
	
	return $response;
}